/*
 *  ncxmms
 *  Copyright 2003 Mariusz Gniazdowski
 *
 *  NCXmms is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  NCXmms is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

struct dir_data_s {
	char *path;
	char **abbrev_filenames;
	char **full_filenames;
	int file_abbrev_len;
	int num_files;
	char **abbrev_dirnames;
	char **full_dirnames;
	int dir_abbrev_len;
	int num_dirs;
};

void write_log(long code, char *first, ...);
void list_new_dir(struct dir_data_s *dir_data, int file_abbrev_len, int dir_abbrev_len);
int handle_newpath(char **path, const char *newdir);
