/*
 *  ncxmms
 *  Copyright 2003 Mariusz Gniazdowski
 *
 *  NCXmms is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  NCXmms is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#define BLANK   	' '
// Filetype
#define TYPE_FILE 	0
#define TYPE_DIR  	1
// Color pair numbers
#define NORMAL		0
#define FILE_MARK    	1
#define FILE_UNMARK  	2
#define DIR_MARK	3
#define DIR_UNMARK	4
#define PLIST_MARK	5
#define PLIST_UNMARK 	6
#define HIGHLIGHT	7

#define START_DIR	"/"

// intem and menutab indexes
#define MENU_FILE	0
#define MENU_DIR	1
#define MENU_PLIST	2

// Window numbers
#define AREA_FILE       	0
#define AREA_DIR        	1
#define AREA_PLIST		2
#define WIN_FILE     		3
#define WIN_DIR     		4
#define WIN_PLIST		5
#define WIN_STAT     		6
#define AREA_STAT     		7

// It calculates address of field that has the same
// offset from new_beg like src_field from src_beg
#define GET_ADR(new_beg,gen_beg,gen_field) new_beg + (gen_field-gen_beg)

